# 一.基础篇



###第一章：基础入门



####1.1 小猫数数



> **开发需求：让小猫从1开始数数，一直数到5。**

<img src="Scratch竞赛笔记.assets/01.jpg" style="zoom:80%;margin:0" />

1. 示例1：错误，它只会显示5；

2. 示例2：正确，每隔两秒执行一次；



> **开发需求：让小猫从1开始数数，一直数到100、1000、10000。**

<img src="Scratch竞赛笔记.assets/02.jpg" style="zoom:80%;margin:0" />



1. 
   示例1：错误，它会一直无限循环下去；

2. 示例2：正确，它将执行从1开始，每次数+1，直到100；

3. 示例3：错误，重复执行是一个条件判断，当n=100才能执行，所以，根本没有开始数；




> **开发需求：在上一个需求的基础上，让小猫说完“5”之后停下来。**

<img src="Scratch竞赛笔记.assets/03-16360987472622.jpg" style="zoom:80%;margin:0" />



1. 示例1：错误，执行1，2，3，4，因为先判断5，再数数，导致5没有显示；
2. 示例2：正确，执行1， 2， 3， 4， 5；
3. 示例3：错误，执行1，2，3，4，因为增加1在后面，导致判断5后就结束程序了；



#### 1.2 蝴蝶数花朵



> **开发需求：选择背景库中Flowers背景，添加蝴蝶角色Butterfly2。通过编程，依次飞落到4朵花上，并报数。**

<img src="Scratch竞赛笔记.assets/04-16360998541493.jpg" style="zoom:80%;margin:0" />



PS：当我们想要知道坐标移动的具体位置，可以讲角色拖动到指定位置后，代码积木会自动获取；



> **开发需求：将上一个例子中，角色切换位置时非常生硬，我们将改为平滑移动的方式优化。**

<img src="Scratch竞赛笔记.assets/05.jpg" style="zoom:80%;margin:0" />



> **开发需求：进一步优化，通过造型变换让蝴蝶煽动自己的翅膀**

<img src="Scratch竞赛笔记.assets/06.jpg" style="zoom:80%;margin:0" />



#### 1.3 大宝逗小宝

> **开发需求：选择房间图片Bedroom1作为背景，添加一个小男孩Jaime，添加Finger snap、Screm2、Laugh1三种声音，用来模仿吵闹的效果；通过编程，依次播放三种声音，最后小男孩说Sorry，并持续2秒结束。**



<img src="Scratch竞赛笔记.assets/07.jpg" style="zoom:80%;margin:0" />



> **开发需求：在上一个例子的基础上，让Jamie在房间里左右来回走动2次，走动过程还不断思考“怎么办”！**

<img src="Scratch竞赛笔记.assets/08-16361043691114.jpg" style="zoom:80%;margin:0" />



> **开发需求：增加一个Abby角色，并修改为妈妈。程序运行后，妈妈是隐私状态。当Jamie走动2次后，妈妈出现。**

<img src="Scratch竞赛笔记.assets/09.jpg" style="zoom:80%;margin:0" />



#### 1.4 小猫进圈

> **开发需求：舞台设置蓝色，在背景上绘制四个椭圆，如下图；通过按左右键来移动到前后的椭圆里，且不能跳出椭圆。**



<img src="编辑图库/10.jpg" style="zoom: 80%;margin:0" />



> **开发需求：怎样实现4个椭圆按照等间距分布？**

<img src="Scratch竞赛笔记.assets/11.jpg" style="zoom:80%;margin:0" />

#### 1.5 掷骰子

> **开发需求：创建一个Party的背景，引入Devin和Dee两个人物角色。再绘制两个有六个造型的骰子，1~6点。通过按下空格键，先从第一个骰子得到随机点数，并让Devin报数。然后再让Dee进行投掷，并报数。**



<img src="Scratch竞赛笔记.assets/12-1.jpg" style="zoom:80%;margin:0" />



<img src="Scratch竞赛笔记.assets/12-16366001554211.jpg" style="zoom:80%;margin:0" />



> **开发需求：在上一个例子的基础上，添加一个裁判的角色。用来判断Devin和Dee的胜负。**



<img src="Scratch竞赛笔记.assets/13.jpg" style="zoom:80%;margin:0" />



####1.6 加法出题

> **开发需求：新建两个列表，分别命名为“列表1”和“列表2”，并显示在小猫的左边和右边。在“列表1”中添加10个数据，从0到9。在“列表2”中添加10个数据，从9到0。通过编程，让小猫在“列表1”和“列表2”两个列表中分别随机抽取1个数组成完整的计算式并输出。**



<img src="Scratch竞赛笔记.assets/14.jpg" style="zoom:80%;margin:0" />



> **开发需求，在上一个例子的基础上。增加一个符号变量，设置加减乘除，并实现四则运算**



<img src="Scratch竞赛笔记.assets/15.jpg" style="zoom:80%;margin:0" />

